summaryrefslogtreecommitdiff
path: root/network/chromium/chromium.SlackBuild
diff options
context:
space:
mode:
authorYucatan Costa <jedi.kenjiro@gmail.com>2011-11-19 01:27:05 -0600
committerRobby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:11 -0600
commitc9b6036ee9fa3b7d8061c19dd1a8ea2cb7452231 (patch)
tree49741c64e7ed967635216d6bc8bc7517d9d4ca7b /network/chromium/chromium.SlackBuild
parentd5930c9980b287eee90d2e9b6aeba7b433783c15 (diff)
downloadslackbuilds-c9b6036ee9fa3b7d8061c19dd1a8ea2cb7452231.tar.gz
network/chromium: Updated for version 15.0.874.120.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network/chromium/chromium.SlackBuild')
-rw-r--r--network/chromium/chromium.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/network/chromium/chromium.SlackBuild b/network/chromium/chromium.SlackBuild
index 8d0fed5fcc..69193f4853 100644
--- a/network/chromium/chromium.SlackBuild
+++ b/network/chromium/chromium.SlackBuild
@@ -11,7 +11,8 @@
# A very special thanks to Gino Bombino (ginolovesyou AT gmail DOT com), who
# contributed with the parameters to disable the need for gnome dependencies
# and PAM, allowing the script to be cleaner and more elegant (no need for a
-# a patch to disable PAM).
+# a patch to disable PAM). And another special thanks to dive who handed me
+# the nacl.patch, fixing another compile problem.
#
# Copyright 2010 Yucatan "Kenjiro" Costa, Alegrete, RS, Brasil
# All rights reserved.
@@ -34,11 +35,10 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=chromium
-VERSION=${VERSION:-11.0.696.60}
+VERSION=${VERSION:-15.0.874.106}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -66,7 +66,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -81,7 +81,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Let's try this nacl patch (thanks to dive):
+patch -p1 < $CWD/nacl.patch
+
# Configure it before compiling
+
+#
# Change "-Dproprietary_codecs" to "0" if you don't want to use proprietary codecs
#
@@ -110,10 +115,12 @@ build/gyp_chromium --depth=. \
-Ddisable_sse2=${NO_SSE2:-0} \
-Dffmpeg_branding=Chrome \
-Duse_system_ffmpeg=0 \
+ -Ddisable_nacl=1 \
+ -Duse_kerberos=0 \
-Duse_system_ssl=0
-
# Compiling...
+#
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -fno-ipa-cp" \
make chrome chrome_sandbox BUILDTYPE=Release || exit 1